<!DOCTYPE html>
<html>
<head>
	<title></title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
</head>
<body>
<script>
function muda() {
if(document.getElementById('select').value=='') {
document.getElementById('campoR').name='campo';
document.getElementById('campoR').style.display='block';
} else {
document.getElementById('campoR').name='campoR';
document.getElementById('campoR').style.display='none';
}
}
</script>

<form method="post" action="">
<select name="campo" id="select" onchange="muda()">
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="">outros</option>
</select>

<input type="text" name="campoR" id="campoR" value="" style="display:none;">
<input type="submit">
</form>

</body>
</html>